MetacatUI - Story #6598

Add Provenance to the DataCatalog and Metadata views
09/23/2014 03:57 PM - Lauren Walker

Status: Resolved Start date: 06/12/2014
Priority: Normal Due date:
Assignee: Lauren Walker % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.8.0 Spent time: 0.00 hour
Description
Subtasks:
Task # 6600: Display a data table preview thumnail in the Metadata view Rejected
Task # 6601: Display code previews as thumbnails in the Metadata View Rejected
Task # 6602: Add provenance statements underneath entity thumnails & details in the Met... Resolved
Task # 6604: State provenance in the search results Resolved
Task # 6566: Design how derived datasets will look in search results and the metadata view Resolved
Task # 6635: Show package content metadata in Metadatalndex View Resolved
Task # 6647: Expand the SolrResult model to include provenance index fields Resolved
Task # 6650: Draw a provenance flow chart in the Metadata and Metadatalndex views Resolved
Task # 6673: Collapse the prov chart after its height exceeds a certain amount Resolved
Task # 6651: Display a provenance icon in the search results when a data package has a ... Resolved
Task # 6652: Show a list of data packages (as citations) that are in the prov trace whe... Resolved
Task # 6653: Show the citation and relevant provenance of the dataset when the provenan... Resolved
Task # 6668: Show some basic info from the index when a data object in the prov chart h... Resolved
Task # 6654: Create a function in the SolrResult model that creates citation text Resolved
Task # 6658: Only one popover in the search result list should be open at one time Resolved
Task # 6659: Add in ID filter Resolved
Task # 6686: Make sure the provenance displays correctly in the Metadata View Resolved
Task # 6691: Provenance Statements list duplicate IDs when navigating from the data sea... Resolved
Task # 6708: Differentiate the prov chart nodes in some way from each other Resolved
Task # 6737: Use Solr 4 subquerying to determine if a metadata doc is in a package with... Rejected
Task # 6757: Use the object name from the metadata in the prov charts Resolved

History

#1 - 06/04/2015 10:34 AM - Lauren Walker

- Target version changed from 1.7.0 to 1.8.0

#2-10/12/2015 11:01 AM - Lauren Walker

- Status changed from New to Resolved

| moved some subtasks from this Story to v1.9.0, #6852 since | consider them to be nonessential to the basic provenance features to be initially
released soon.

#3 - 11/04/2015 12:47 PM - Lauren Walker

- Target version changed from 1.8.0 to 1.9.0

#4 - 11/04/2015 02:11 PM - Lauren Walker

- Target version changed from 1.9.0 to 1.8.0
https://projects.ecoinformatics.org/ecoinfo/issues/6852
http://www.tcpdf.org

